Merge projects
Merges `otherProjectName` into the project named by the `{project}` path parameter. The other project is merged into (and no longer exists separately from) the path project.
Merges otherProjectName into the project named by the {project}
path parameter. The other project is merged into (and no longer
exists separately from) the path project.
Authorization
SymetryMLAuth HMAC-SHA256 signature-based authentication: requests are signed with
your secret key and sent with the Customer-ID, Sym-date,
Authorization, Content-MD5 and sym-version headers.
See SymetryML REST API Security
for the signature algorithm and a complete example.
In: header
Path Parameters
User/Customer identifier
Project identifier
Query Parameters
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/c1/projects/nbra_prj_iris/merge?otherProjectName=string"{ "statusCode": 200, "statusString": "OK", "values": {}}{ "statusCode": 400, "statusString": "Cannot merge Symetry Project with itself pid:cpu0 oid:cpu0 cid:c1", "values": {}}{ "statusCode": 500, "statusString": "Generic Exception [java.lang.Exception: Cannot merge bet class [com.rtlm.core.bets.DynamicBET] into MetaBET]", "values": {}}Get project information GET
By default returns the project info synchronously. If `async=true`, instead immediately returns `202` with a `Job-Id` response header and schedules a background job; poll the job endpoint for the result shown below.
Rename project GET
Renames the project to `newName`. Fails if the project doesn't exist, or if a project with `newName` already exists for the customer.